org.springframework.mock.web.portlet

## Class MockResourceRequest

- java.lang.Object
- - org.springframework.mock.web.portlet.MockPortletRequest
  - - org.springframework.mock.web.portlet.MockClientDataRequest
    - - org.springframework.mock.web.portlet.MockResourceRequest

All Implemented Interfaces:
  ClientDataRequest, PortletRequest, ResourceRequest

    public class MockResourceRequest
    extends MockClientDataRequest
    implements ResourceRequest

Mock implementation of the `ResourceRequest` interface.

Since:
  3.0
Author:
  Juergen Hoeller

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.portlet.PortletRequest

`PortletRequest.P3PUserInfos`

### Field Summary

### Fields inherited from interface javax.portlet.ResourceRequest

`ETAG`

### Fields inherited from interface javax.portlet.PortletRequest

`ACTION_PHASE, ACTION_SCOPE_ID, BASIC_AUTH, CCPP_PROFILE, CLIENT_CERT_AUTH, DIGEST_AUTH, EVENT_PHASE, FORM_AUTH, LIFECYCLE_PHASE, RENDER_HEADERS, RENDER_MARKUP, RENDER_PART, RENDER_PHASE, RESOURCE_PHASE, USER_INFO`

### Constructor Summary

Constructors
Constructor and Description
`MockResourceRequest()` Create a new MockResourceRequest with a default `MockPortalContext` and a default `MockPortletContext`.
`MockResourceRequest(MockResourceURL url)` Create a new MockResourceRequest with a default `MockPortalContext` and a default `MockPortletContext`.
`MockResourceRequest(PortalContext portalContext, PortletContext portletContext)` Create a new MockResourceRequest.
`MockResourceRequest(PortletContext portletContext)` Create a new MockResourceRequest with a default `MockPortalContext`.
`MockResourceRequest(String resourceID)` Create a new MockResourceRequest with a default `MockPortalContext` and a default `MockPortletContext`.

### Method Summary

Methods
`void` `addPrivateRenderParameter(String key, String value)`
`void` `addPrivateRenderParameter(String key, String[] values)`
`String` `getCacheability()`
`String` `getETag()`
`protected String` `getLifecyclePhase()` Return the Portlet 2.0 lifecycle id for the current phase.
`Map<String,String[]>` `getPrivateRenderParameterMap()`
`String` `getResourceID()`
`void` `setCacheability(String cacheLevel)`
`void` `setResourceID(String resourceID)`

### Methods inherited from class org.springframework.mock.web.portlet.MockClientDataRequest

`getCharacterEncoding, getContentLength, getContentType, getMethod, getPortletInputStream, getReader, setCharacterEncoding, setContent, setContentType, setMethod`

### Methods inherited from class org.springframework.mock.web.portlet.MockPortletRequest

`addLocale, addParameter, addParameter, addPreferredLocale, addPreferredResponseContentType, addProperty, addResponseContentType, addUserRole, checkActive, close, getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isActive, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, registerPublicParameter, removeAttribute, setAttribute, setAuthType, setContextPath, setCookies, setParameter, setParameter, setParameters, setPortletMode, setPreferences, setProperty, setRemoteUser, setRequestedSessionIdValid, setScheme, setSecure, setServerName, setServerPort, setSession, setUserPrincipal, setWindowID, setWindowState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.portlet.ResourceRequest

`getResponseContentType, getResponseContentTypes`

### Methods inherited from interface javax.portlet.ClientDataRequest

`getCharacterEncoding, getContentLength, getContentType, getMethod, getPortletInputStream, getReader, setCharacterEncoding`

### Methods inherited from interface javax.portlet.PortletRequest

`getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequestedSessionId, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

### Constructor Detail

#### MockResourceRequest

    public MockResourceRequest()

Create a new MockResourceRequest with a default `MockPortalContext` and a default `MockPortletContext`.

See Also:
  `MockPortalContext`, `MockPortletContext`

#### MockResourceRequest

    public MockResourceRequest(String resourceID)

Create a new MockResourceRequest with a default `MockPortalContext` and a default `MockPortletContext`.

Parameters:
  `resourceID` - the resource id for this request

#### MockResourceRequest

    public MockResourceRequest(MockResourceURL url)

Create a new MockResourceRequest with a default `MockPortalContext` and a default `MockPortletContext`.

Parameters:
  `url` - the resource URL for this request

#### MockResourceRequest

    public MockResourceRequest(PortletContext portletContext)

Create a new MockResourceRequest with a default `MockPortalContext`.

Parameters:
  `portletContext` - the PortletContext that the request runs in

#### MockResourceRequest

    public MockResourceRequest(PortalContext portalContext,
                       PortletContext portletContext)

Create a new MockResourceRequest.

Parameters:
  `portalContext` - the PortalContext that the request runs in
  `portletContext` - the PortletContext that the request runs in

### Method Detail

#### getLifecyclePhase

    protected String getLifecyclePhase()

Description copied from class: `MockPortletRequest`
Return the Portlet 2.0 lifecycle id for the current phase.

Overrides:
  `getLifecyclePhase` in class `MockPortletRequest`

#### setResourceID

    public void setResourceID(String resourceID)

#### getResourceID

    public String getResourceID()

Specified by:
  `getResourceID` in interface `ResourceRequest`

#### setCacheability

    public void setCacheability(String cacheLevel)

#### getCacheability

    public String getCacheability()

Specified by:
  `getCacheability` in interface `ResourceRequest`

#### getETag

    public String getETag()

Specified by:
  `getETag` in interface `ResourceRequest`

#### addPrivateRenderParameter

    public void addPrivateRenderParameter(String key,
                                 String value)

#### addPrivateRenderParameter

    public void addPrivateRenderParameter(String key,
                                 String[] values)

#### getPrivateRenderParameterMap

    public Map<String,String[]> getPrivateRenderParameterMap()

Specified by:
  `getPrivateRenderParameterMap` in interface `ResourceRequest`